using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EStepType
{
    /// <summary>
    /// 普通节点
    /// </summary>
    [Description("普通节点")]
    Normal = 0,

    /// <summary>
    /// 开始节点（发起人）
    /// </summary>
    [Description("开始节点")]
    Start = 1,

    /// <summary>
    /// 结束节点
    /// </summary>
    [Description("结束节点")]
    End = 2,

    /// <summary>
    /// 意见汇总节点
    /// </summary>
    [Description("意见汇总节点")]
    Summary = 3,
}

/*
 * /// <summary>
    /// 串行节点
    /// </summary>
    Serial = 1,

    /// <summary>
    /// 并行节点
    /// </summary>
    Parallel = 2,
 */